HALT(8)

BEZEICHNUNG
halt, poweroff, reboot - das System anhalten

ÜBERSICHT
/sbin/halt [-d] [-f] [-h] [-i] [-n] [-p] [-w]
/sbin/reboot [-d] [-f] [-i] [-k] [-n] [-w]
/sbin/poweroff [-d] [-f] [-h] [-i] [-n] [-w]

BESCHREIBUNG
halt vermerkt in der Datei /var/log/wtmp, dass das System heruntergefahren wird und weist den Kernel dann an, das System entweder anzuhalten, neuzustarten oder auszuschalten.

Wenn halt oder reboot aufgerufen wird, wenn das System sich nicht im Runlevel 0 oder 6 befindet (mit anderen Worten: es läuft normal), dann wird stattdessen shutdown aufgerufen (mit dem Schalter -h oder -r). Siehe die Handbuchseite shutdown(8) für weitere Informationen.

Der Rest dieser Handbuchseite beschreibt das Verhalten in den Runleveln 0 und 6, also wenn die Herunterfahr-Skripte des Systems laufen.

OPTIONEN

-d  schreibt keinen Wtmp-Herunterfahreintrag.

-f  erzwingt Systemhalt oder Neustart und ruft shutdown(8) nicht auf.

-h  versetzt alle Festplattenlaufwerke im System direkt vor Systemhalt oder Ausschalten in den Standby-Modus.

-i  fährt alle Netzwerkschnittstellen kurz vor halt oder reboot herunter. Warnung: Dies könnte auf Schnittstellen, die keine IP-Adresse haben, nicht funktionieren und sollte idealerweise vom Netzwerkverwaltungsdienst gehandhabt werden.

-k  Try to reboot using kexec, if kernel supports it.

-n  synchronisiert vor dem Neustarten oder Anhalten nicht. Beachten Sie, dass der Kernel und die Speichertreiber weiterhin synchronisieren könnten. Dies impliziert -d.

-p  schaltet beim Anhalten des Systems die Energieversorgung ab. Dies ist die Vorgabe, wenn halt als poweroff aufgerufen wird.

-w  führt keinen Systemhalt oder Neustart tatsächlich aus, sondern schreibt nur den Wtmp-Herunterfahreintrag (in die Datei /var/log/wtmp).

DIAGNOSE
Falls Sie nicht der Superuser sind, erhalten Sie die Meldung »must be superuser«.

ANMERKUNGEN
Unter älteren Versionen von sysvinit sollten reboot und halt niemals direkt aufgerufen werden. Ab der Version 2.74 rufen halt und reboot den Befehl shutdown(8) auf, falls sich das System nicht im Runlevel 0 oder 6 befindet. Falls halt oder reboot den aktuellen Runlevel nicht ermitteln können (beispielsweise wenn /var/run/utmp nicht korrekt initialisiert wurde und /var/run/runlevel nicht existiert), bedeutet das, dass shutdown aufgerufen wird, was möglicherweise nicht das ist, was Sie wollen. Verwenden Sie den Schalter -f, wenn Sie einen harten Systemhalt oder Neustart ausführen wollen.

Der Schalter -h versetzt alle Festplatten direkt vor dem Systemhalt oder Ausschalten in den Standby-Modus. Bislang ist das nur für IDE-Laufwerke implemetiert. Ein Nebeneffekt des Versetzens in den Standby-Modus ist, dass der Schreib-Cache des Laufwerks geleert wird. Das ist für IDE-Laufwerke wichtig, da der Kernel selbst den Schreib-Cache vor dem Ausschalten nicht leert.

Das Programm halt findet alle IDE-Laufwerke mit Hilfe von /proc/ide/hd*, was bedeutet, dass /proc beim Aufruf von halt oder poweroff eingehängt sein muss. Anderenfalls wird der Schalter -h nichts bewirken.

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)

SIEHE AUCH
shutdown(8), init(8)